dialog.h
/* This file is part of the KDE project
Copyright (C) 2003 Matthias Kretz <kretz@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef KSETTINGS_DIALOG_H
#define KSETTINGS_DIALOG_H
#include <qobject.h>
#include <kservice.h>
template<class T> class QValueList;
class KPluginInfo;
class KCMultiDialog;
class KCModuleInfo;
namespace KSettings
{
class KUTILS_EXPORT Dialog : public QObject
{
friend class PageNode;
Q_OBJECT
public:
enum ContentInListView
{
Static,
Configurable
};
Dialog( QWidget * parent = 0, const char * name = 0 );
Dialog( ContentInListView content = Static, QWidget * parent = 0,
const char * name = 0 );
Dialog( const QStringList & components, QWidget * parent = 0,
const char * name = 0 );
Dialog( const QStringList & components, ContentInListView
content, QWidget * parent = 0, const char * name = 0 );
~Dialog();
void addPluginInfos( const QValueList<KPluginInfo*> & plugininfos );
KCMultiDialog * dialog();
public slots:
void show();
signals:
void pluginSelectionChanged();
protected slots:
void configureTree();
void updateTreeList();
private:
bool isPluginForKCMEnabled( KCModuleInfo * ) const;
QValueList<KService::Ptr> instanceServices() const;
QValueList<KService::Ptr> parentComponentsServices(
const QStringList & ) const;
void parseGroupFile( const QString & );
QStringList parentModuleNames( KCModuleInfo * );
void createDialogFromServices();
class DialogPrivate;
DialogPrivate * d;
};
}
// vim: sw=4 sts=4 et
#endif // KSETTINGS_DIALOG_H
KPluginInfo
Information about a plugin.
Definition: kplugininfo.h:42
KSettings::Dialog::Static
Static listview, while running no entries are added or deleted.
Definition: dialog.h:88
KSettings::Dialog::ContentInListView
ContentInListView
Tells the dialog whether the entries in the listview are all static or whether it should add a Config...
Definition: dialog.h:83
KCModuleInfo
A class that provides information about a KCModule.
Definition: kcmoduleinfo.h:49
KCMultiDialog
A method that offers a KDialogBase containing arbitrary KControl Modules.
Definition: kcmultidialog.h:43
KSettings::Dialog
Generic configuration dialog that even works over component boundaries.
Definition: dialog.h:73

KDE Home | KDE Accessibility Home | Description of Access Keys